
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

Name:			ladspa-lemux
Summary:		lemux - LADSPA instrument plugins based on openMSX devices
Version:		0.2
Release:		1699.2.pm.2
License: GPL-2.0
Source:			lemux-%version.tar.bz2
Patch0:			ladspa-lemux-base-LADSPAPluginDescriptor.cc.diff
Patch1:			ladspa-lemux.narrowing-conversion.patch
Patch2:			ladspa-lemux.sort.patch
URL:			http://lumatec.be/joost
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	gcc-c++
BuildRequires:	ladspa-devel

%description
lemux - LADSPA instrument plugins based on openMSX devices.

Author: Joost Yervante Damad <joost@lumatec.be>



%prep
%autosetup -p1 -n lemux-%version

%build
pushd dev/SID/resid
	autoreconf --install --force
popd
make \
	'CFLAGS=%optflags -fPIC -DPIC -Ibase -I. -Idev/SID/resid' \
	'CXXFLAGS=%optflags -fPIC -DPIC -Ibase -I. -Idev/SID/resid' \
	%nil

%install
install -dm 755 %buildroot%_libdir/ladspa
install -m 644 -c gen/lemux.so \
	%buildroot%_libdir/ladspa

%files
%doc FAQ README AUTHORS ChangeLog
%doc gen/scc_presets.txt
%doc contrib/*.ams
%license COPYING GPL
%_libdir/ladspa

%changelog
